Last Comment Bug 800840 - startup crash in XREMain::XRE_mainStartup
: startup crash in XREMain::XRE_mainStartup
Status: RESOLVED FIXED
[native-crash][startupcrash]
: crash, topcrash
Product: Toolkit
Classification: Components
Component: Startup and Profile System (show other bugs)
: 17 Branch
: ARM Android
: -- critical (vote)
: mozilla19
Assigned To: Wesley Johnston (:wesj)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 01:58 PDT by Scoobidiver (away)
Modified: 2012-10-20 07:27 PDT (History)
10 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
fixed
17+


Attachments
Patch (930 bytes, patch)
2012-10-18 10:51 PDT, Wesley Johnston (:wesj)
benjamin: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Scoobidiver (away) 2012-10-12 01:58:50 PDT
It's #2 top crasher in 17.0b1.

Signature 	XREMain::XRE_mainStartup More Reports Search
UUID	917d34c7-cd00-4bfb-9ff2-820052121012
Date Processed	2012-10-12 08:14:56
Uptime	1
Install Age	1.0 minutes since version was first installed.
Install Time	2012-10-12 08:13:21
Product	FennecAndroid
Version	17.0
Build ID	20121010211745
Release Channel	beta
OS	Linux
OS Version	0.0.0 Linux 3.0.15-928452-user #1 SMP PREEMPT Tue Jul 31 19:37:49 KST 2012 armv7l
Build Architecture	arm
Build Architecture Info	
Crash Reason	SIGSEGV
Crash Address	0x0
App Notes 	
samsung GT-I9300
samsung/m0xx/m0:4.0.4/IMM76D/I9300XXBLH1:user/release-keys
Processor Notes 	WARNING: JSON file missing Add-ons
EMCheckCompatibility	False
Adapter Vendor ID	
Adapter Device ID	
Device	samsung GT-I9300
Android API Version	15 (REL)
Android CPU ABI	armeabi-v7a

Frame 	Module 	Signature 	Source
0 	libxul.so 	XREMain::XRE_mainStartup 	toolkit/xre/nsAppRunner.cpp:3445
1 	libxul.so 	XREMain::XRE_main 	toolkit/xre/nsAppRunner.cpp:3869
2 	libxul.so 	XRE_main 	toolkit/xre/nsAppRunner.cpp:3963
3 	libxul.so 	GeckoStart 	toolkit/xre/nsAndroidStartup.cpp:73
4 	libmozglue.so 	Java_org_mozilla_gecko_GeckoAppShell_nativeRun 	APKOpen.cpp:983
5 	libdvm.so 	libdvm.so@0x1ed72 	
6 	dalvik-heap (deleted) 	dalvik-heap @0xdf44c6 	
7 	libdvm.so 	libdvm.so@0x5902d 	
8 	data@app@org.mozilla.firefox_beta-2.apk@classes.dex 	data@app@org.mozilla.firefox_beta-2.apk@classes.dex@0x141382 	
...

More reports at:
https://crash-stats.mozilla.com/report/list?signature=XREMain%3A%3AXRE_mainStartup
Comment 1 bhavana bajaj [:bajaj] 2012-10-12 15:44:07 PDT
Do we have any co-relations and do we see this on other any other channels ?
Comment 2 Benjamin Smedberg [:bsmedberg] 2012-10-12 15:45:07 PDT
This appears to be a null mProfileLock, which basically means that http://hg.mozilla.org/releases/mozilla-beta/annotate/f02c5fb11741/toolkit/xre/nsAppRunner.cpp#l3430 succeeded but didn't return a profile lock.

Does this have a nightly regression range?
Comment 3 Scoobidiver (away) 2012-10-13 03:00:30 PDT
(In reply to bhavana bajaj [:bajaj] from comment #1)
> Do we have any co-relations and do we see this on other any other channels ?
Crashes happen before any loaded extensions, on Froyo, Gingerbread, ICS and JB.
Two Mac users were affected in 15.0.1.

(In reply to Benjamin Smedberg  [:bsmedberg] from comment #2)
> Does this have a nightly regression range?
No, because only Beta users and one Aurora user are affected.
Comment 4 Lukas Blakk [:lsblakk] use ?needinfo 2012-10-15 16:38:43 PDT
Tracking for now and assigning to Benjamin - is it possible to hunt down a regression in Beta?  If you're not the right person for this please reassign to another person but if we're going to track for 17 it needs to be assigned to someone.
Comment 5 Benjamin Smedberg [:bsmedberg] 2012-10-16 08:44:27 PDT
I do not have time to look at this bug. I suspect it's something with the locked profile dialog which can't be shown on Android, but I'd like somebody from the mobile team to take it if necessary.
Comment 6 Lukas Blakk [:lsblakk] use ?needinfo 2012-10-16 13:00:36 PDT
Alright - over to Brad then for a mobile team assessment of who can take this on.
Comment 7 Mark Finkle (:mfinkle) (use needinfo?) 2012-10-18 10:25:23 PDT
Wes - Does this seem similar to the other bug you fixed related to locked profiles?
Comment 8 Wesley Johnston (:wesj) 2012-10-18 10:36:35 PDT
Yes. I have a fix. testing it now
Comment 9 Wesley Johnston (:wesj) 2012-10-18 10:51:29 PDT
Created attachment 672850 [details] [diff] [review]
Patch

I'm not exactly sure how to reproduce this bug, but this should fix it.
Comment 11 Wesley Johnston (:wesj) 2012-10-18 10:57:39 PDT
Comment on attachment 672850 [details] [diff] [review]
Patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 795053
User impact if declined: Crashes on startup. Subsequent starts should work
Testing completed (on m-c, etc.): Landed on mc today
Risk to taking this patch (and alternatives if risky): Medium because it gets hit during startup. This should be doing the same thing we would do in other cases where we unlock the profile for the user (i.e. a few lines above this patch).
String or UUID changes made by this patch: None.
Comment 12 Ryan VanderMeulen [:RyanVM] 2012-10-18 18:39:22 PDT
https://hg.mozilla.org/mozilla-central/rev/e8596ac4d0cf

Note You need to log in before you can comment on or make changes to this bug.